View Issue Details

IDProjectCategoryView StatusLast Update
0009275FPCRTLpublic2008-03-30 13:11
ReporterYiannis Dondos Assigned ToAles Katona  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.0 
Fixed in Version2.2.2 
Summary0009275: AssignFile() issues a false hint.
DescriptionIf you compile the following code with the -Mobjfpc or -Mdelphi option, a false hint is issued. A similar matter with Assign() was resolved in 0008824.



program assignfile;



var

   f: TextFile;



begin

     AssignFile (f, 'test.dat'); // Hint: Variable does not seem to be initialized

     Reset (f);

     CloseFile (f);

end.





TagsNo tags attached.
Fixed in Revision8481
FPCOldBugId0
FPCTarget-
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2007-07-15 10:09 Yiannis Dondos New Issue
2007-07-16 23:47 Ales Katona Status new => resolved
2007-07-16 23:47 Ales Katona Fixed in Version => 2.3.1
2007-07-16 23:47 Ales Katona Resolution open => fixed
2007-07-16 23:47 Ales Katona Assigned To => Ales Katona
2007-10-22 15:25 Florian Status resolved => closed
2008-03-30 13:11 Jonas Maebe FPCOldBugId => 0
2008-03-30 13:11 Jonas Maebe FPCTarget => -
2008-03-30 13:11 Jonas Maebe Fixed in Revision => 8080
2008-03-30 13:11 Jonas Maebe Fixed in Revision 8080 => 8481
2008-03-30 13:11 Jonas Maebe Fixed in Version 2.3.1 => 2.2.1